Subject: [OSPF] Route tag role in draft-ietf-l3vpn-ospfv3-pece-05

From: swarup <[email-masked]>
Date: Wed, 14 Jul 2010 13:37:21 +0530

Hi,

In "draft-ietf-l3vpn-ospfv3-pece-05", why in section 4.5, reference to route
tag is truncated? Is it because no backward compatibility is required for
OSPFv3!
 
Ref: Section 4.5:
"Of the two loop preventions mechanisms described in the sections
aforementioned, only the DN bit option will be supported in the OSPFv3
implementation."

Regards,

Swarup

****************************************************************************
***********
This e-mail and attachments contain confidential information from HUAWEI,
which is intended only for the person or entity whose address is listed
above. Any use of the information contained herein in any way (including,
but not limited to, total or partial disclosure, reproduction, or
dissemination) by persons other than the intended recipient's) is
prohibited. If you receive this e-mail in error, please notify the sender by
phone or email immediately and delete it!

****************************************************************************
***********

---

From: Acee Lindem <[email-masked]>
Date: Wed, 14 Jul 2010 06:08:07 -0400

Hi Swarup,

On Jul 14, 2010, at 4:07 AM, swarup wrote:

> Hi,
>  
> In "draft-ietf-l3vpn-ospfv3-pece-05", why in section 4.5, reference to route tag is truncated? 

Why would you want more than one loop prevention mechanism? 

> Is it because no backward compatibility is required for OSPFv3!

This is a draft and not an RFC. Furthermore, IIRC, this has always been this way in this draft. Backward compatibility is not an issue.

Thanks,
Acee

>  
> Ref: Section 4.5:
> "Of the two loop preventions mechanisms described in the sections aforementioned, only the DN bit option will be supported in the OSPFv3 implementation."
>  
> Regards,
> Swarup
>  
>  
> ***************************************************************************************
> This e-mail and attachments contain confidential information from HUAWEI, which is intended only for the person or entity whose address is listed above. Any use of the information contained herein in any way (including, but not limited to, total or partial disclosure, reproduction, or dissemination) by persons other than the intended recipient's) is prohibited. If you receive this e-mail in error, please notify the sender by phone or email immediately and delete it!
> ***************************************************************************************
> 
>  
> _______________________________________________
> OSPF mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ospf

---

From: Michael Lundberg <[email-masked]>
Date: Thu, 15 Jul 2010 15:39:07 -0400

Hi Swarup,

To expand on Acee's comment.   In RFC 4577, the Route Tag was used as
a secondary option for backwards compatibility, because at the time,
OSPFv2 implementations did not support the DN-bit (since the DN-bit
was not defined until RFC 4576).

For OSPFv3, the DN-bit is already specified in RFC 5340; therefore,
another loop prevention option is not needed.

Regards,
Michael

On Wed, Jul 14, 2010 at 6:08 AM, Acee Lindem <[email-masked]> wrote:
> tag is truncated?
> This is a draft and not an RFC. Furthermore, IIRC, this has always been this
> way in this draft. Backward compatibility is not an issue.
> Thanks,
> Acee
>
>
>
>
>
> Ref: Section 4.5:
>